.account {


    &-header{
        display: flex;
        position: sticky;
        top: 0;
        z-index: 9;
        width: auto;
        height: 6rem;
        padding: 1rem;
        justify-content: center;
        border: none;
        border-radius: 0;
        box-shadow: 0px 1px 2px #72727269;

        @include media-breakpoint-up(lg) {
            & {
                display: none;
            }
        }

        &-container{
            display: flex;
            align-items: center;
        }

    &-container {
      display: flex;
      align-items: center;
    }

    &-text {
      @include muli-bold(18px);
    }
  }

  &-container {
    margin-top: 1rem;
  }

  &-card {
    @extend .cardCommon;

    &-icon {
      height: 4rem;
      max-width: 48px;
      max-height: 48px;

    }

    &-r {
      &-div {
        margin-left: 1rem;
      }

      &-icon {
        position: absolute;
        right: 20px;
        top: 38px;
      }
    }

    &-title {
      display: block;
      @include muli-semibold(14px);
    }

    &-subtitle {
      @include muli-semibold(10px);
    }
  }

  &-footer {
    justify-content: space-between;
    align-items: center;
  }
}

.logout {
  float: right;

  &>span {
    color: theme-color("primary");
  }
}

.login-to-start-investing-card{
display: flex;
justify-content: space-between;
align-items: center;
background-color: #196be5;
box-shadow: 0px 1px 2px #72727269;
border-radius: 9px;
padding: 24px 18px;
& .title{
  @include muli-semibold(14px);
  color: white;
  text-transform: capitalize;
}
}

.account-card {
  @extend .cardCommon;
  color: theme-color("text-primary");
  cursor: pointer;

  & .card-icon {
    flex: 0 0 4rem;

    &>img {
      max-width: 100%;
      height: auto;      
    min-width: 64px;

    }
  }

  & .card-title-wrapper {
    flex: 1 1 auto;
    display: inline-flex;
    flex-direction: column;
    padding: 0 1rem;

    & .card-title {
      @include muli-semibold(14px);
      margin-bottom: 0.25rem;
    }

    & .card-desc {
      @include muli-semibold(10px);
    }
  }

  & .card-action {
    flex: 0 0 0.5rem;

    &>img {
      max-width: 100%;
      height: auto;
    }
  }
}

// profile css
// .persional-info-card{
//   background: #FFFFFF 0% 0% no-repeat padding-box;
// box-shadow: 0px 1px 2px #72727269;
// border-radius: 10px;
// padding: 22px 20px 0px 20px;
.profile-wrapper {
  & .card{
    box-shadow: 0px 1px 2px #72727269;
border-radius: 10px;
  }

  & .persional-details,
  & .other-details {
    & .header{
      @include muli-regular(12px);
      margin-bottom: 12px;
    }
    & .card {
      flex-direction: row;

      & span {
        display: block;

        &.heading {
          color: #616161;
          @include muli-regular(12px);
          margin-bottom: 8px;
        }

        &.text {
          @include muli-semibold(15px);
        }
      }
    }
  }

  & .address {
    @include muli-semibold(16px);
    & .header{
      @include muli-regular(12px);
      margin-bottom: 12px;
    }
  }

  & .document {
    @include muli-semibold(14px);
    & .header{
      @include muli-regular(12px);
      margin-bottom: 12px;
    }

    & .card {
      margin-bottom: 14px;

      & span {
        max-width: 24px;
        margin-right: 8px;
      }
    }
  }

  & .connect-us{
    margin-top: 26px;
    @include media-breakpoint-up(lg) {
      margin-top: 60px;
      @include muli-regular(14px);
     }
    & a{
      text-decoration: underline;
      color: blue;
      cursor: pointer;
    
    }
  }
}

// }

.risk-wrapper {
  min-height: 90vh;
}

.risk-profile {
  border-radius: 10px;
  padding: 1rem;

  &>div {
    padding-bottom: 1rem;

    &>span,
    &:not(.risk) {
      @include muli-regular(12px);
    }

    & .risk {
      @include muli-semibold(20px);
      color: theme-color("primary");
    }
  }
}

// order

.order-wrapper {
  & .header {
    @include muli-semibold(18px);
    margin-bottom: 20px;
  }

  & .card {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 1px 2px #72727269;
    border-radius: 10px;
    margin-bottom: 16px;
    max-width: 448px;

    @media (min-width: 992px) {
      cursor: pointer;
    }

    & .card-body {
      & .selling-status {
        padding: 3px 8px;
        @include muli-semibold(12px);
        color: #EB802F;
        background: #fcece0 0% 0% no-repeat padding-box;
        border-radius: 2px;
      }

      & .buying-status {
        padding: 3px 8px;
        @include muli-semibold(12px);
        color: #3A63BB;
        background: #e2e8f5 0% 0% no-repeat padding-box;
        border-radius: 2px;
      }


      

      & .status.completed {
        padding: 3px 19px;
        @include muli-semibold(12px);
        color: #2AC07D;
        background: #dff6ec 0% 0% no-repeat padding-box;
        border-radius: 2px;
      }
      & .status.pending {
        padding: 3px 19px;
        @include muli-semibold(12px);
        color: #EB802F;
        background: #fcece0 0% 0% no-repeat padding-box;
        border-radius: 2px;
      }

      & .card-title {
        @include muli-semibold(18px);
        padding-top: 19px;
        padding-bottom: 16px;
        margin-bottom: 0;
      }

      & .title {
        @include muli-bold(14px);
      }

      & .text {
        @include muli-light(12px);
      }

    }
  }
}

   .cancle-order-detail-modal{
     & .modal-header{
       padding-bottom: 6px;
       border-bottom: none;
     & .modal-title{
      @include muli-bold(16px);
      color: #434343;
     }
    }
    & .modal-body{
      padding-top: 0;
      padding-bottom: 0;
    & .content{
      & .status{
        margin-bottom: 33px;
        & .pending{
          padding: 3px 8px;
          color: #FF9800;
          background: #ff990077 0% 0% no-repeat padding-box;
          border-radius: 2px;
          @include muli-bold(12px);
          border: 1px solid #D5E0F8;
          margin-right: 10px;
        }
        & .sell{
          padding: 3px 8px;
          color: #434343;
          background: #beac9100 0% 0% no-repeat padding-box;
          border-radius: 2px;
          @include muli-bold(12px);
          border: 1px solid #D5E0F8;
          margin-right: 10px;
        }
      }

     & .text{
      @include muli-light(14px);
      }
    }
  }
    & .modal-footer{
      border-top: none;
     & .btn-cancel{
      width: 100%;
      background: #EB2F2F 0% 0% no-repeat padding-box;
      box-shadow: 0px 2px 8px #7090D080;
      border: 1px solid #00000000;
      border-radius: 4px;
      @include muli-semibold(16px);
      padding: 7px 0px;
      color: white;
      text-transform: uppercase;
      }
      & .btn-modify{
        width: 100%;
        background: #2AC07D 0% 0% no-repeat padding-box;
        box-shadow: 0px 2px 8px #7090D080;
        border: 1px solid #00000000;
        border-radius: 4px;
        @include muli-semibold(16px);
        padding: 7px 0px;
        color: white;
        text-transform: uppercase;
        }
    }
  }


  .cancle-order-modal{
    & .modal-header{
      border-bottom: none;
    & .modal-title{
     @include muli-bold(18px);
     color: #1C1C1C;
    }
   }
   & .modal-body{
    text-align: center;
  & .content{
   & .text{
    @include muli-regular(14px);
    color: #020202;
    }
  }
}
& .modal-footer{
  border-top: none;
 & .btn{
  width: 100%;
  background: #196be5 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 8px #7090D080;
  border: 1px solid #00000000;
  border-radius: 4px;
  @include muli-semibold(16px);
  padding: 7px 0px;
  color: white;
  text-transform: uppercase;
  }
}
  }

  .offer-modal{
    img{
        width: 156px;
        margin-top: 23px;
    }
    .heading{
        color: #196be5;
        @include muli-bold(16px);
        margin-bottom: 16px;
        margin-top: 14px;
    }
    .offer-text{
        @include muli-semibold(16px);
        margin-bottom: 12px;
    }
    .text{
        @include muli-regular(12px);
    }
}

.updateMobileNoModal {
  & .modal-header {
    // padding: 32px 39px;
    // border-bottom: 0;

    & .modal-title {
      @include muli-regular(20px);
    }
  }
}

  app-account{

    app-account-card.hideOnMobileNotificationCard{
        display: none;
        @media (min-width: 992px) {
          display: block;
        }
      }
  
    .invest-amount{
      @media (min-width: 992px) {
        margin-bottom: 16px;

        .btn{
          height: 48px;
          justify-content: center;
          align-items: center;
          display: flex;
        }
      }
      & .value{
        @include muli-semibold(35px);
        color:#3A63BB;
      }
      & .text{
        @include muli-regular(12px);
        color: #8E8E8E;
      }
    } 
  }

